profile
viewpoint

Ask questionsnpm install fails

Describe the bug I ran npm install on a fresh Ubuntu VM, and got npm ERR! typeerror Error: Missing required argument #1.

To Reproduce

  1. git clone git@github.com:twilio/twilio-video-app-react.git
  2. cd twilio-video-app-react
  3. npm install

Expected behavior npm install should run without errors.

Screenshots Screen Shot 2020-04-05 at 5 09 28 PM

Environment (please complete the following information):

  • OS: Linux twilio 4.15.0-66-generic #75-Ubuntu SMP Tue Oct 1 05:24:09 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  • Node.js version: v8.10.0
twilio/twilio-video-app-react

Answer questions ijt

Apparently it was because apt install nodejs installs Node version 8 on Ubuntu 18 by default, and that's not a recent enough version of Node to run this app. I got it working by doing this:

$ curl -sL https://deb.nodesource.com/setup_13.x | sudo -E bash -
$ apt install -y nodejs
$ npm install
useful!

Related questions

No questions were found.
Github User Rank List